## mozc 1.5.1053.102

=== debian/changelog ===
mozc (1.5.1053.102-3) unstable; urgency=low

  * Fix FTBFS with building binary only.
    Split override_dh_fixperms to override_dh_fixperms-indeps and arch.
  * Update dh_clean target. Delete cache files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 14 May 2012 08:24:04 +0900

mozc (1.5.1053.102-2) unstable; urgency=low

  * Update debian/copyright to DEP5.
  * Add DEP-3 header to debian/patches/*
  * Remove unnecessary patches.
    patches/add_file_to_gypfile_check.patch
    patches/bug107_request_surrounding_text.patch
    patches/emacs_fix.patch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 11 May 2012 07:58:58 +0900

mozc (1.5.1053.102-1) unstable; urgency=low

  * New upstream release (r114) (Closes: #670685, #667287).
  * Update patches/support-kfreebsd.patch.
  * Update patches/uim-mozc.patch (macuim r317).
  * Add support fcitx framework (Closes: #669090).
  * Split image data to mozc-data package.
  * Add gettext to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 04 May 2012 06:44:18 +0900
