=== debian/control ===
Source: mozc
Section: utils
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
	libibus-1.0-dev (>= 1.2) | libibus-dev (>= 1.2),
	libcurl4-openssl-dev, pkg-config,
	python-dev, gyp (>= 0.1~svn824), protobuf-compiler, libgtest-dev,
	libprotobuf-dev, libqt4-dev, libscim-dev, libuim-dev,
	libzinnia-dev, fcitx-libs-dev, gettext
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/mozc/

Package: mozc-data
Architecture: all
Depends: ${misc:Depends}
Description: Mozc input method - data files
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 This package provides the essential data files.
 .
 This open-source project originates from Google Japanese Input.

Package: ibus-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
Recommends: mozc-utils-gui (= ${binary:Version})
Description: Mozc engine for IBus - Client of the Mozc input method
 IBus is an Intelligent Input Bus. It is a new input framework for Linux OS.
 It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 ibus-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: scim-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-data,
	mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
Description: Mozc engine for SCIM - Client of the Mozc input method
 Smart Common Input Method (SCIM) is an input method (IM) platform.
 Input methods are needed to enter complex characters in many non-latin 
 languages. SCIM provides a common platform for various plugin modules and 
 independent IM programs, as well as a set of modules and programs on its own.
 It is highly modularized and exposes abstract interfaces, so that plugin 
 modules with different functions can easily communicate with each other.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 scim-mozc provides client part of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: uim-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.5.7-9),
	mozc-data, mozc-server (= ${binary:Version})
Description: Mozc engine for uim - Client of the Mozc input method
 uim is an input method module library supporting various languages, which 
 become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
 Pinyin (Chinese input method), Hangul (Korean input method), 
 IPA (International Phonetic Alphabet), etc.
 Most of the functions are implemented with Scheme, so it's very simple 
 and flexible.
 .
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 uim-mozc provides client part of the Mozc input method.

Package: fcitx-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
	mozc-server (= ${binary:Version})
Description: Mozc engine for fcitx - Client of the Mozc input method
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. 
 It is highly modularized and extensible, with GTK+ 2/3 and Qt4 IM Modules, 
 support for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and
 a developer-friendly API.
 .
 fcitx-mozc provides client part of the Mozc input method.

Package: emacs-mozc
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, emacs | emacs23, emacs-mozc-bin (= ${binary:Version})
Description: Mozc for Emacs
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 This package provides the elisp files to run mozc with GNU Emacs.
 .
 This open-source project originates from Google Japanese Input.

Package: emacs-mozc-bin
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
Description: Helper module for emacs-mozc
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 This package provides the helper module to the GNU Emacs.
 .
 This open-source project originates from Google Japanese Input.

Package: mozc-server
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Server of the Mozc input method
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 mozc-server provides GUI utilities of the Mozc input method.
 .
 This open-source project originates from Google Japanese Input.

Package: mozc-utils-gui
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: mozc-server (= ${binary:Version})
Suggests: ibus-qt4
Description: GUI utilities of the Mozc input method
 Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
 such as Chromium OS, Windows, Mac and Linux.
 .
 mozc-server provides GUI uitilities of the Mozc input method.
 This uses GUI and can set ibus-mozc and the user's dictionary.
 .
 This open-source project originates from Google Japanese Input.
