=== debian/changelog ===
mozc (1.5.1090.102-4ubuntu1) raring; urgency=low

  * Merge with Debian, remaining change
    - debian/patches/open-preferences.patch: add metadata to open
      preferences from ibus-setup

 -- Iain Lane <iain.lane@canonical.com>  Wed, 14 Nov 2012 09:56:54 +0000

mozc (1.5.1090.102-4) unstable; urgency=low

  * Update debian/uim-mozc.postinst.
    Move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
    in uim package. uim-mozc.postinst need to change path from /etc/uim to
    /var/lib/uim.
  * Update debian/control.
    Dump version of uim-utils to 1:1.8.1-3.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 26 Sep 2012 07:59:54 +0900

mozc (1.5.1090.102-3) unstable; urgency=low

  * Update debian/rules.
    - Enable hardening.
  * Fix linking library of scim.
    Add patches/scim-libs.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 20 Jul 2012 05:13:19 +0900

mozc (1.5.1090.102-2ubuntu1) quantal; urgency=low

  * debian/patches/open-preferences.patch: add metadata to open
    preferences from ibus-setup, LP: #1037876

 -- Nobuto MURATA <nobuto@ubuntu.com>  Tue, 11 Sep 2012 00:54:03 +0900

mozc (1.5.1090.102-2) unstable; urgency=high

  * Fix FTBFS on kFreeBSD. (Closes: #678707)
    Disable renderer.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 28 Jun 2012 06:12:46 +0900

mozc (1.5.1090.102-1) unstable; urgency=high

  * Update debian/control.
    - Update debhelper to 9.
    - Add fcitx to Recommends of fcitx-mozc. (Closes: #673249)
    - Support multiarch for uim-mozc. (Closes: 676996)
  * Update debian/rules.
    - Add hardening options.
    - Remove --enable_gtk_renderer option.
  * Update patch of fcitx framework. (Closes: #676724)
  * Update README.Debian. (Closes: #675939)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 11 Jun 2012 18:10:56 +0900
