=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.2) | libibus-dev (>= 1.2),
 	libcurl4-openssl-dev, pkg-config,
 	python-dev, gyp (>= 0.1~svn824), protobuf-compiler, libgtest-dev,
@@ -14,6 +15,7 @@
 Package: mozc-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Mozc input method - data files
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
@@ -43,6 +45,7 @@
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-data,
 	mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
+Multi-Arch: foreign
 Description: Mozc engine for SCIM - Client of the Mozc input method
  Smart Common Input Method (SCIM) is an input method (IM) platform.
  Input methods are needed to enter complex characters in many non-latin 
@@ -60,8 +63,9 @@
 
 Package: uim-mozc
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.5.7-9),
+Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
+Multi-Arch: same
 Description: Mozc engine for uim - Client of the Mozc input method
  uim is an input method module library supporting various languages, which 
  become a frontend for Anthy, SKK, Canna, T-Code, TUT-Code, 
@@ -79,6 +83,8 @@
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
 	mozc-server (= ${binary:Version})
+Recommends: fcitx
+Multi-Arch: same
 Description: Mozc engine for fcitx - Client of the Mozc input method
  Fcitx is a input method framework with extension support, which provides
  an interface for entering characters of different scripts in applications
@@ -117,6 +123,7 @@
 Package: mozc-server
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
 Description: Server of the Mozc input method
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
