=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,21 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+
 DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 ifeq ($(DEB_BUILD_ARCH_OS),linux)
   BUILD_OS=linux
+  TARGET=renderer/renderer.gyp:mozc_renderer
 endif
 ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
   BUILD_OS=gnu-kfreebsd
+  TARGET=
 endif
 BUILD_DIR=./out_linux
 
@@ -16,8 +24,7 @@
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
 	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
-	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
-	renderer/renderer.gyp:mozc_renderer
+	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool $(TARGET)
 
 # for architecture dependent variables and changelog vars
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
@@ -28,16 +35,16 @@
 SCIM_MODDIR=`pkg-config --variable=moduledir scim`
 
 %:
-	dh --with quilt $@ 
+	dh $@ 
 
 override_dh_auto_configure:
 	python build_mozc.py gyp --gypdir=/usr/bin --channel_dev=0 \
-		--os=$(BUILD_OS) --build_base=$(BUILD_DIR) \
-		--use_libprotobuf --enable_gtk_renderer
+		--os=${BUILD_OS} --build_base=$(BUILD_DIR) \
+		--use_libprotobuf 
 
 override_dh_auto_build:
-	python build_mozc.py build_tools -c Release --jobs=1
-	python build_mozc.py build $(TARGETS) -c Release --jobs=1
+	V=1 python build_mozc.py build_tools -c Release --jobs=1
+	V=1 python build_mozc.py build $(TARGETS) -c Release --jobs=1
 
 override_dh_auto_clean:
 	python build_mozc.py clean
@@ -52,8 +59,16 @@
 	rm -rf dictionary/pos_util.pyc
 	rm -rf dictionary/__init__.pyc
 	rm -rf third_party/rx/rx.Makefile
+	rm -rf build_tools/test_tools/test_launcher.pyc
+	rm -rf chrome/skk/skk_util_all_test.target.mk
+	rm -rf chrome/skk/skk_util_test.target.mk
 
 override_dh_auto_install:
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
+	# mozc-server
+	install -D -m 0755  $(BUILD_DIR)/Release/mozc_renderer \
+		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
+endif
 	# ibus-mozc
 	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
 		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
@@ -68,6 +83,10 @@
 		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
 	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
 		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
+
+	# uim-mozc
+	install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
+		 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
 
 	# fcitx-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \
