## mozc 1.6.1187.102

=== debian/changelog ===
mozc (1.6.1187.102-1~exp2) experimental; urgency=low

  * Update debian/uim-mozc.postinst.
    Move installed-modules.scm and loader.scm from /etc/uim to /var/lib/uim
    in uim package. uim-mozc.postinst need to change path from /etc/uim to
    /var/lib/uim.
  * Update debian/control.
    - Dump Standards-Version to 3.9.4.
    - Dump version of uim-utils to 1:1.8.1-3.
    - Change Build-depends from libcurl4-openssl-dev to libssl-dev.
      (Closes: #697118)
    - Remove libgtest-dev from Build-depends.
    - Add libgtk2.0-dev to Build-depends.
    - Add filed of Vcs-Git and Vcs-Browser.
  * Update debian/copyright.
    Remove copyright of base/scoped_ptr.h, because copyright was changed
    to BSD-3-Clause. (Closes: #697122)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 07 Jan 2013 13:48:39 +0900

mozc (1.6.1187.102-1~exp1) experimental; urgency=low

  * New upstream release.
  * Update supporting kfreebsd patch.
  * Drop supporting scim-mozc. Upstream does not support scim from this
    version.
  * Update debian/rules.
    Remove supporting scim-mozc.
  * Update debian/control.
    - Remove section of scim-mozc.
    - Add emacs24 to Depends of emacs-mozc. (Closes: #682040)
    - Bumped version of libibus-dev and libibus-1.0-dev to 1.4.1.
    - Add armel and armhf to Architecture list.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 06 Sep 2012 08:02:31 +0900
