=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
-	libibus-1.0-dev (>= 1.2) | libibus-dev (>= 1.2),
-	libcurl4-openssl-dev, pkg-config,
-	python-dev, gyp (>= 0.1~svn824), protobuf-compiler, libgtest-dev,
-	libprotobuf-dev, libqt4-dev, libscim-dev, libuim-dev,
+	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
+	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
+	python-dev, gyp (>= 0.1~svn824), protobuf-compiler,
+	libprotobuf-dev, libqt4-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mozc/
+Vcs-Git: git://anonscm.debian.org/collab-maint/mozc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mozc.git;a=summary
 
 Package: mozc-data
 Architecture: all
@@ -25,7 +26,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: ibus-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
 	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
 Recommends: mozc-utils-gui (= ${binary:Version})
@@ -41,28 +42,8 @@
  .
  This open-source project originates from Google Japanese Input.
 
-Package: scim-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
-Depends: ${misc:Depends}, ${shlibs:Depends}, scim, mozc-data,
-	mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
-Multi-Arch: foreign
-Description: Mozc engine for SCIM - Client of the Mozc input method
- Smart Common Input Method (SCIM) is an input method (IM) platform.
- Input methods are needed to enter complex characters in many non-latin 
- languages. SCIM provides a common platform for various plugin modules and 
- independent IM programs, as well as a set of modules and programs on its own.
- It is highly modularized and exposes abstract interfaces, so that plugin 
- modules with different functions can easily communicate with each other.
- .
- Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
- such as Chromium OS, Windows, Mac and Linux.
- .
- scim-mozc provides client part of the Mozc input method.
- .
- This open-source project originates from Google Japanese Input.
-
 Package: uim-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
 Multi-Arch: same
@@ -80,7 +61,7 @@
  uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
 	mozc-server (= ${binary:Version})
 Recommends: fcitx
@@ -99,8 +80,8 @@
  fcitx-mozc provides client part of the Mozc input method.
 
 Package: emacs-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
-Depends: ${misc:Depends}, emacs | emacs23, emacs-mozc-bin (= ${binary:Version})
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
 Description: Mozc for Emacs
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
@@ -110,7 +91,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: emacs-mozc-bin
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
 Description: Helper module for emacs-mozc
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -121,7 +102,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-server
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: Server of the Mozc input method
@@ -133,7 +114,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-utils-gui
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt4
