=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 BUILD_DIR=./out_linux
 
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
-	unix/scim/scim.gyp:scim_mozc unix/scim/scim.gyp:scim_mozc_setup \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
 	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
@@ -32,15 +31,14 @@
 	sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
 
 SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
-SCIM_MODDIR=`pkg-config --variable=moduledir scim`
 
 %:
 	dh $@ 
 
 override_dh_auto_configure:
-	python build_mozc.py gyp --gypdir=/usr/bin --channel_dev=0 \
-		--os=${BUILD_OS} --build_base=$(BUILD_DIR) \
-		--use_libprotobuf 
+	GYP_DEFINES="use_libprotobuf=1" python build_mozc.py gyp \
+		--gypdir=/usr/bin --channel_dev=0 \
+		--os=${BUILD_OS} --build_base=$(BUILD_DIR) 
 
 override_dh_auto_build:
 	V=1 python build_mozc.py build_tools -c Release --jobs=1
@@ -54,6 +52,7 @@
 	rm -rf build_tools/test_tools/task_scheduler.pyc
 	rm -rf build_tools/util.pyc
 	rm -rf build_tools/code_generator_util.pyc
+	rm -rf build_tools/android_util.pyc
 	rm -rf rewriter/embedded_dictionary_compiler.pyc
 	rm -rf rewriter/__init__.pyc
 	rm -rf dictionary/pos_util.pyc
@@ -78,12 +77,6 @@
 		$(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
 		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	
-	# scim-mozc
-	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc.so \
-		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/IMEngine/mozc.so
-	install -D -m 0755 $(BUILD_DIR)/Release/lib.target/libscim_mozc_setup.so \
-		$(CURDIR)/debian/scim-mozc/$(SCIM_MODDIR)/SetupUI/mozc-setup.so
-
 	# uim-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
 		 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
