## mozc 1.11.1522.102

=== debian/changelog ===
mozc (1.11.1522.102-1ubuntu1) saucy; urgency=low

  * Sync with Debian (LP: #1228639)
  * debian/control:
    - Lower gyp dependency to what's available in Saucy

 -- Nobuto MURATA <nobuto@ubuntu.com>  Mon, 23 Sep 2013 03:51:47 +0900

mozc (1.11.1522.102-1) unstable; urgency=low

  * New upstream release. (Closes: #722653, #716919)
  * Update debian/control.
    - Drop support kFreeBSD.
  * Update patches/fcitx-mozc.patch.
  * Update patches/uim-mozc.patch to r327.
  * Add patches/fix_build_mo_of_fcitx.
  * Update debian/rules.
    - Add "unexport XDG_CONFIG_DIRS" for qtchooser.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 13 Sep 2013 23:30:25 +0900

mozc (1.6.1187.102-1) unstable; urgency=low

  * Upload to unstable.
  * Fix build with gcc-4.8. (Closes: #701325)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 May 2013 12:52:59 +0900

mozc (1.6.1187.102-1~exp3) experimental; urgency=low

  * Update debian/rules.
    - Add and fix install path of mo file for fcitx-mozc. (Closes: #704833)
    - Remove '--channel_dev=0' option from build option. (Closes: #704831)
  * Update debian/control.
    Add mozc-data to tegaki-zinnia-japanese to Depends and add
    mozc-utils-gui to Recommends. (Closes: #704832)
  * Update patches/uim-mozc.patch (macuim r323).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 14 Apr 2013 07:42:04 +0900

mozc (1.5.1090.102-5) unstable; urgency=low

  * Fix connect error to server if it is root.
    Add patches/fix-root-issue-at-uim.patch.
  * Update debian/rules.
    Fix install path of mo file for fcitx-mozc.
  * Update debian/control.
    Add mozc-data to tegaki-zinnia-japanese to Depends and add
    mozc-utils-gui to Recommends.
  * Remove debian/fcitx-mozc.install.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 17 Apr 2013 08:12:28 +0900
