=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
-	python-dev, gyp (>= 0.1~svn824), protobuf-compiler,
+	python-dev, gyp (>= 0.1~svn1654), protobuf-compiler,
 	libprotobuf-dev, libqt4-dev, libuim-dev,
 	libzinnia-dev, fcitx-libs-dev, gettext
 Standards-Version: 3.9.4
@@ -26,7 +27,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: ibus-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data,
 	ibus (>= 1.2), mozc-server (= ${binary:Version}), tegaki-zinnia-japanese
 Recommends: mozc-utils-gui (= ${binary:Version})
@@ -43,7 +44,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: uim-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
 Multi-Arch: same
@@ -61,10 +62,10 @@
  uim-mozc provides client part of the Mozc input method.
 
 Package: fcitx-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, fcitx-bin, fcitx-data, fcitx-modules,
-	mozc-server (= ${binary:Version})
-Recommends: fcitx
+	mozc-server (= ${binary:Version}), mozc-data, tegaki-zinnia-japanese
+Recommends: fcitx, mozc-utils-gui (= ${binary:Version})
 Multi-Arch: same
 Description: Mozc engine for fcitx - Client of the Mozc input method
  Fcitx is a input method framework with extension support, which provides
@@ -80,7 +81,7 @@
  fcitx-mozc provides client part of the Mozc input method.
 
 Package: emacs-mozc
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
 Description: Mozc for Emacs
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -91,7 +92,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: emacs-mozc-bin
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-server (= ${binary:Version})
 Description: Helper module for emacs-mozc
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
@@ -102,7 +103,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-server
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: Server of the Mozc input method
@@ -114,7 +115,7 @@
  This open-source project originates from Google Japanese Input.
 
 Package: mozc-utils-gui
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 armel armhf
+Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt4
