=== debian/rules ===
--- 
+++ 
@@ -7,23 +7,18 @@
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
-DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
-  BUILD_OS=linux
-  TARGET=renderer/renderer.gyp:mozc_renderer
-endif
-ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
-  BUILD_OS=gnu-kfreebsd
-  TARGET=
-endif
+
+# clear XDG_CONFIG_DIRS for qtchooser
+unexport XDG_CONFIG_DIRS
+
 BUILD_DIR=./out_linux
-
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
 	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
-	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool $(TARGET)
+	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
+	renderer/renderer.gyp:mozc_renderer
 
 # for architecture dependent variables and changelog vars
 vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
@@ -37,8 +32,8 @@
 
 override_dh_auto_configure:
 	GYP_DEFINES="use_libprotobuf=1" python build_mozc.py gyp \
-		--gypdir=/usr/bin --channel_dev=0 \
-		--os=${BUILD_OS} --build_base=$(BUILD_DIR) 
+		--gypdir=/usr/bin \
+		--build_base=$(BUILD_DIR)
 
 override_dh_auto_build:
 	V=1 python build_mozc.py build_tools -c Release --jobs=1
@@ -62,12 +57,12 @@
 	rm -rf chrome/skk/skk_util_all_test.target.mk
 	rm -rf chrome/skk/skk_util_test.target.mk
 
+	dh_auto_clean
+
 override_dh_auto_install:
-ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	# mozc-server
 	install -D -m 0755  $(BUILD_DIR)/Release/mozc_renderer \
 		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
-endif
 	# ibus-mozc
 	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
 		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
@@ -84,6 +79,18 @@
 	# fcitx-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \
 		 $(CURDIR)/debian/fcitx-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/fcitx/fcitx-mozc.so
+	# mo
+	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/ja.mo \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/ja/LC_MESSAGES/fcitx-mozc.mo
+	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_TW.mo \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_TW/LC_MESSAGES/fcitx-mozc.mo
+	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_CN.mo \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_CN/LC_MESSAGES/fcitx-mozc.mo
+	# config file
+	install -D -m 0644 unix/fcitx/fcitx-mozc.conf \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/addon/fcitx-mozc.conf
+	install -D -m 0644 unix/fcitx/mozc.conf \
+		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/inputmethod/mozc.conf
 
 override_dh_fixperms-arch:
 	chmod -x debian/emacs-mozc/usr/share/emacs/site-lisp/emacs-mozc/mozc.el
