## mozc 1.13.1651.102

=== debian/changelog ===
mozc (1.13.1651.102-2) unstable; urgency=medium

  * Add emacs-mozc.emacsen-compat.
  * Add emacsen-common (<< 2.0.0) to Conflicts of emacs-mozc.
  * Add version to libprotobuf-dev. (Closes: #737521, #737207, #737266)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 07 Feb 2014 16:39:00 +0900

mozc (1.13.1651.102-1) unstable; urgency=low

  * New upstream release.
  * Add emacs-mozc.postinst and emacs-mozc.prerm.
    Fix initialize with mozc#731977 by emacs. (Closes: #731977)
  * Update fcitx patch.
  * Update debian/control.
    - Bump Standards-Version to 3.9.5.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 17 Jan 2014 08:37:10 +0900

mozc (1.12.1599.102-1) unstable; urgency=low

  * New upstream release.
  * Update fcitx-mozc.patch to 1.12.1599.102.1.
  * Update uim-mozc.patch to r330.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Nov 2013 06:51:00 +0900

mozc (1.11.1522.102-2) unstable; urgency=low

  * Update debian/control.
    - Add mozc-utils-gui to Recommends of uim-mozc.
    - Add desktop-file-utils to Build-Depends.
  * Update debian/rules.
    - Install ibus-setup-mozc.desktop by mozc-utils-gui.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 24 Oct 2013 16:22:14 +0900
