=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mozc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: debhelper (>= 9),
 	libibus-1.0-dev (>= 1.4.1) | libibus-dev (>= 1.4.1),
 	libssl-dev, pkg-config, libxcb-xfixes0-dev, libgtk2.0-dev,
-	python-dev, gyp (>= 0.1~svn1654), protobuf-compiler,
-	libprotobuf-dev, libqt4-dev, libuim-dev,
-	libzinnia-dev, fcitx-libs-dev, gettext
+	python-dev, gyp (>= 0.1~svn1729-2), protobuf-compiler,
+	libprotobuf-dev (>= 2.5.0-9), libqt4-dev, libuim-dev,
+	libzinnia-dev, fcitx-libs-dev, gettext,
+	desktop-file-utils
 Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/mozc/
 Vcs-Git: git://anonscm.debian.org/collab-maint/mozc.git
@@ -47,6 +47,7 @@
 Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, ${shlibs:Depends}, uim-utils (>= 1:1.8.1-2),
 	mozc-data, mozc-server (= ${binary:Version})
+Recommends: mozc-utils-gui (= ${binary:Version})
 Multi-Arch: same
 Description: Mozc engine for uim - Client of the Mozc input method
  uim is an input method module library supporting various languages, which 
@@ -83,6 +84,7 @@
 Package: emacs-mozc
 Architecture: i386 amd64 armel armhf
 Depends: ${misc:Depends}, emacs | emacs23 | emacs24, emacs-mozc-bin (= ${binary:Version})
+Conflicts: emacsen-common (<< 2.0.0)
 Description: Mozc for Emacs
  Mozc is a Japanese Input Method Editor (IME) designed for multi-platform 
  such as Chromium OS, Windows, Mac and Linux.
@@ -116,7 +118,7 @@
 
 Package: mozc-utils-gui
 Architecture: i386 amd64 armel armhf
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, mozc-data
 Recommends: mozc-server (= ${binary:Version})
 Suggests: ibus-qt4
 Description: GUI utilities of the Mozc input method
