=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,11 @@
 	# mozc-server
 	install -D -m 0755  $(BUILD_DIR)/Release/mozc_renderer \
 		$(CURDIR)/debian/mozc-server/usr/lib/mozc/mozc_renderer
+
+	# mozc-utils-gui
+	desktop-file-install --dir=$(CURDIR)/debian/mozc-utils-gui/usr/share/applications \
+		$(CURDIR)/debian/setup-mozc.desktop
+
 	# ibus-mozc
 	install -D -m 0755  $(BUILD_DIR)/Release/ibus_mozc \
 		$(CURDIR)/debian/ibus-mozc/usr/lib/ibus-mozc/ibus-engine-mozc
