## mozc 1.15.1857.102

=== debian/changelog ===
mozc (1.15.1857.102-1ubuntu2) wily; urgency=medium

  * Run testcases.

 -- Aron Xu <happyaron@ubuntu.com>  Wed, 09 Sep 2015 19:10:29 +0800

mozc (1.15.1857.102-1ubuntu1) wily; urgency=medium

  * Drop uim support for main inclusion
  * Allow parallel building
  * Remove useless build dependency libssl-dev
  * Do not generate shlibs for fcitx

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 16 Aug 2015 23:01:48 +0800

mozc (1.15.1857.102-1) unstable; urgency=medium

  * New upstream release.
  * Remove fix_build_mo_of_fcitx.
  * Update fcitx-mozc.patch.
  * Update uim to r334.
  * Update debian/rules.
    - Remove line of build_tools.
    - Remove obj directory from path.
  * Update debian/control.
    - Update Standards-Version to 3.9.5.
    - Add ninja-build to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 06 Aug 2014 03:45:16 +0900
