=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,17 @@
 
 DEB_BUILD_MULTIARCH :=$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
 
+NUMJOBS=1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
 # clear XDG_CONFIG_DIRS for qtchooser
 unexport XDG_CONFIG_DIRS
 
 BUILD_DIR=./out_linux
 TARGETS=unix/ibus/ibus.gyp:ibus_mozc \
 	unix/emacs/emacs.gyp:mozc_emacs_helper \
-	unix/uim/uim.gyp:uim-mozc \
 	unix/fcitx/fcitx.gyp:fcitx-mozc \
 	server/server.gyp:mozc_server gui/gui.gyp:mozc_tool \
 	renderer/renderer.gyp:mozc_renderer
@@ -28,7 +32,7 @@
 SOURCE_VERSION := $(call vafilt,$(CHANGELOG_VARS),Version)
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_auto_configure:
 	GYP_DEFINES="use_libprotobuf=1" python build_mozc.py gyp \
@@ -36,8 +40,7 @@
 		--build_base=$(BUILD_DIR)
 
 override_dh_auto_build:
-	V=1 python build_mozc.py build_tools -c Release --jobs=1
-	V=1 python build_mozc.py build $(TARGETS) -c Release --jobs=1
+	V=1 python build_mozc.py build $(TARGETS) -c Release --jobs=$(NUMJOBS)
 
 override_dh_auto_clean:
 	python build_mozc.py clean
@@ -74,28 +77,32 @@
 	install -d $(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/
 	sed -e 's|/usr/libexec/ibus-engine-mozc|/usr/lib/ibus-mozc/ibus-engine-mozc|' \
 		-e 's|0\.0\.0\.0|$(SOURCE_VERSION)|g' < \
-		$(BUILD_DIR)/Release/obj/gen/unix/ibus/mozc.xml > \
+		$(BUILD_DIR)/Release/gen/unix/ibus/mozc.xml > \
 		$(CURDIR)/debian/ibus-mozc/usr/share/ibus/component/mozc.xml
 	
 	# uim-mozc
-	install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
-		 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
+	#install -D -m 0755 $(BUILD_DIR)/Release/libuim-mozc.so  \
+	#	 $(CURDIR)/debian/uim-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/uim/plugin/libuim-mozc.so
 
 	# fcitx-mozc
 	install -D -m 0755 $(BUILD_DIR)/Release/fcitx-mozc.so \
 		 $(CURDIR)/debian/fcitx-mozc/usr/lib/$(DEB_BUILD_MULTIARCH)/fcitx/fcitx-mozc.so
 	# mo
-	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/ja.mo \
+	install -D -m 0644 $(BUILD_DIR)/Release/gen/unix/fcitx/po/ja.mo \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/ja/LC_MESSAGES/fcitx-mozc.mo
-	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_TW.mo \
+	install -D -m 0644 $(BUILD_DIR)/Release/gen/unix/fcitx/po/zh_TW.mo \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_TW/LC_MESSAGES/fcitx-mozc.mo
-	install -D -m 0644 $(BUILD_DIR)/Release/obj/gen/unix/fcitx/po/zh_CN.mo \
+	install -D -m 0644 $(BUILD_DIR)/Release/gen/unix/fcitx/po/zh_CN.mo \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/locale/zh_CN/LC_MESSAGES/fcitx-mozc.mo
 	# config file
 	install -D -m 0644 unix/fcitx/fcitx-mozc.conf \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/addon/fcitx-mozc.conf
 	install -D -m 0644 unix/fcitx/mozc.conf \
 		$(CURDIR)/debian/fcitx-mozc/usr/share/fcitx/inputmethod/mozc.conf
+
+override_dh_auto_test:
+	dh_auto_test
+	python build_mozc.py runtests
 
 override_dh_fixperms-arch:
 	chmod -x debian/emacs-mozc/usr/share/emacs/site-lisp/emacs-mozc/mozc.el
@@ -105,6 +112,9 @@
 	chmod -x debian/mozc-data/usr/share/icons/mozc/*.png
 	dh_fixperms
 
+override_dh_makeshlibs:
+	dh_makeshlibs -Xfcitx
+
 .PHONY: override_dh_installemacsen
 override_dh_installemacsen:
 	dh_installemacsen --priority=50
