## mozc 2.17.2116.102%2Bgitfd0f5b34%2Bdfsg

=== debian/changelog ===
mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.2) xenial; urgency=medium

  * Add d/patches/add_support_new_japanese_era.patch.
    This adds Japan's new era 令和 (Reiwa) support. (LP: #1823444)

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Mon, 22 Apr 2019 21:55:24 +0900

mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1.1) xenial; urgency=low

  * debian/rules:
    - export NO_PKG_MANGLE=1 in order to not have translations stripped
      (LP: #1591503).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 29 Jun 2016 16:04:00 +0200

mozc (2.17.2116.102+gitfd0f5b34+dfsg-1ubuntu1) xenial; urgency=low

  [ Ikuya Awashiro ]
  * Merge from Debian unstable. (LP: #1547816) Remaining changes:
    - Drop uim support for main inclusion
    - Do not generate shlibs for fcitx
    - Add apparmor configuration.

  [ Mitsuya Shibata ]
  * Drop "Run testcases." by new upstream sources changes.
    Upstream drops the code of test frameworks from source archive. We need to
    exec git-submodule to run testcases. Therefore drop "run testcases" as
    same as Debian.

 -- Mitsuya Shibata <mty.shibata@gmail.com>  Sun, 20 Mar 2016 19:29:14 +0900

mozc (2.17.2116.102+gitfd0f5b34+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add support parallel building. (Closes: #795709)
  * Remove libss-dev from Build-Depends. (Closes: #759135)
  * Bump Standards-Version to 3.9.6.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 12 Sep 2015 13:59:18 +0900

mozc (1.15.1857.102-1ubuntu3) xenial; urgency=medium

  * Add apparmor configuration.

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 18 Mar 2016 02:31:12 +0800
